Bug 1647603

Summary: EPEL7 - python2-pyfakefs won't install on RHEL 7.6
Product: [Fedora] Fedora EPEL Reporter: Troy Dawson <tdawson>
Component: python-pyfakefsAssignee: David Moreau Simard <dmsimard>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel7CC: dmsimard
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-04-15 15:03:49 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1647564    

Description Troy Dawson 2018-11-07 21:25:28 UTC
Current python2-pyfakefs for EPEL7 (python2-pyfakefs-3.1-1.el7) requires
  python-pytest >= 0:2.8.6
There is currently only python3 versions of python-pytest in RHEL7 and EPEL7.

Please fix this package so that it can be installed in RHEL 7.6.
If you have not responded in a week, we will have a proven packager fix it.
If you know you will not be able to get to it and would like it fixed sooner, please let us know in this bug.
If you feel this package should no longer be in EPEL7, please let us know in this bug.

Comment 1 Troy Dawson 2019-04-09 16:08:58 UTC
Because python2-pyfakefs is not installable, and has not been updated for two years, and nobody has responded to this bugzilla.
And, because nothing depends on it.

I am recommending that we remove python-pyfakefs  from EPEL7.
I will be removing it on Friday, April 12, 2019, unless someone replies with a reason to keep it.

Comment 2 Troy Dawson 2019-04-12 14:50:31 UTC
Package has been removed from EPEL7.
I will close this bug when I have verified it is no longer in the repositories.

Comment 3 Troy Dawson 2019-04-15 15:03:49 UTC
I have verified that the package is not in the EPEL7 repositories.